<?php
/*
 * hi_KCFinder for CMSimple - module admin
 *
 * Admin-interface for configuring the plugin
 * via the standard-functions of pluginloader.
 *
 * @author Holger Irmler
 * @link http://CMSimple.HolgerIrmler.de
 * @build 2012012801
 * @version 1.6
 * @date: 2012-01-28
 * @package hi_kcfinder
 */
 
if ((!function_exists('sv')) || preg_match('/adm.php/i', sv('PHP_SELF')))die('Access denied');

define('HI_KCFINDER_MAIN', '1.6 - 2012-01-28');
define('HI_KCFINDER_ADMIN', '1.5');

/**
 * Check if plugin was called. If so, let the 
 * Loader create and handle the admin-menu 
 */

initvar('hi_kcfinder');

if($hi_kcfinder){

	//xh_debugmode compatibility
	ini_set('display_errors', 0);
	error_reporting(0);
	if(function_exists('xh_debugmode')){
		xh_debugmode();
	}
	
	$admin= isset($_POST['admin']) ? $_POST['admin'] : $admin = isset($_GET['admin']) ? $_GET['admin'] : '';
	$action= isset($_POST['action']) ? $_POST['action'] : $action = isset($_GET['action']) ? $_GET['action'] : '';
	$plugin=basename(dirname(__FILE__),"/");
	$o .= print_plugin_admin('on');
	if($admin<>'plugin_main'){
		$o .= plugin_admin_common($action,$admin,$plugin);
	}
	if ($admin == 'plugin_main') {
		//check system-compatibility
		//PHP version
		$o .= '<h1>System-Check</h1>';
		$o .= '<strong>hi_KCFinder Version: </strong>'. HI_KCFINDER_MAIN .tag('br')."\n";
		$o .= tag('br')."\n";
		if (version_compare(PHP_VERSION, '5.1.0', '>=')) {
			$o .= tag('img src="'.$pth['folder']['plugins'].'hi_kcfinder/images/ok_16.png"') . '&nbsp;&nbsp;PHP-Version: ' . PHP_VERSION . tag('br') . "\n";
		} else {
			$o .= tag('img src="'.$pth['folder']['plugins'].'hi_kcfinder/images/fail_16.png"') . '&nbsp;&nbsp;PHP-Version: ' . PHP_VERSION . tag('br') . "\n";
		}
		$o .= "\n".tag('br');
		//PHP extensions
		$kcfExts = array (
			0 => 'date',
			1 => 'gd',
			2 => 'mbstring',
			3 => 'pcre',
			4 => 'session',
			5 => 'SPL'
		);
		while(list($key, $val) = each($kcfExts) ) {
			if (extension_loaded($val)) {
				$o .= tag('img src="'.$pth['folder']['plugins'].'hi_kcfinder/images/ok_16.png"') . '&nbsp;&nbsp;Extension "' . $val . '" installed' .tag('br') . "\n";
			} else {
				$o .= tag('img src="'.$pth['folder']['plugins'].'hi_kcfinder/images/fail_16.png"') . '&nbsp;&nbsp;<b>Extension "' . $val . '" not installed</b>' .tag('br') . "\n";
			}
		}
		$o .= "\n".tag('br');
		//Folders
		$kcfFolders = array (
			0 => 'images',
			1 => 'downloads',
			2 => 'userfiles'
		);
		while(list($key, $val) = each($kcfFolders) ) {
			if (is_writeable($pth['folder']['base'].$val)) {
				$o .= tag('img src="'.$pth['folder']['plugins'].'hi_kcfinder/images/ok_16.png"') . '&nbsp;&nbsp;Folder "' . $val . '" is writeable' .tag('br') . "\n";
			} else {
				$o .= tag('img src="'.$pth['folder']['plugins'].'hi_kcfinder/images/warn_16.png"') . '&nbsp;&nbsp;<b>Folder "' . $val . '" not writeable / existing</b>' .tag('br') . "\n";
			}
		}

	}
	if($admin == '') {
		$o .= "\n".tag('br').tag('hr size="1"')."\n";
        $o .= '<font size = "3"><strong>hi_KCFinder for CMSimple(_XH)</strong></font>'."\n";
        $o .= tag('hr size="1"')."\n";
		$o .= tag('br')."\n";
		$o .= 'The bridge between CMSimple(_XH) and'.tag('br').' Pavel Tzonkovs <a href="http://kcfinder.sunhater.com/" target="_blank">KCfinder web file manager</a>.'.tag('br')."\n";
        $o .= tag('br')."\n";
		$o .= tag('hr size="1"')."\n";
		$o .= tag('br')."\n";
		$o .= '<strong>Version: </strong>'. HI_KCFINDER_MAIN .tag('br')."\n";
        $o .= '&copy;2011-2012 Holger Irmler'.tag('br')."\n";
        $o .= 'Email: <a href="mailto:CMSimple@HolgerIrmler.de">CMSimple@HolgerIrmler.de</a>'.tag('br')."\n";
        $o .= 'Website: <a href="http://cmsimple.holgerirmler.de" target="_blank">http://CMSimple.HolgerIrmler.de</a>'.tag('br')."\n";
		$o .= tag('br')."\n";
		$o .= tag('hr size="1"')."\n";
		$o .= '<p><b>License:</b>'.tag('br').'This plugin is free for use - commercial or not. Professional web-designer who are planning to deliver it as part of their service to their customers, 
			   are advised to <a href="mailto:CMSimple@HolgerIrmler.de">contact me</a> for a reseller license!</p>';
		$o .= '<p>But anyway, If you like this plugin, or using it in a commercial scope,'.tag('br')."\n";
		$o .= 'consider <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&amp;hosted_button_id=2888355" target="_blank">
			   donating a few bucks to me via PayPal</a>.</p>'."\n";
		$o .= '<p>The included KCFinder web file manager is usable under the terms of the GPLv2 & LGPLv2.</p>'."\n";
		$o .= '<p style="font-weight: bold; line-height: 1em; font-size: 0.66em; color: #666;">
				THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY 
				APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT 
				HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY 
				OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, 
				THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
				PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM 
				IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF 
				ALL NECESSARY SERVICING, REPAIR OR CORRECTION. 
				</p>'."\n";
		$o .= tag('hr size="1"')."\n";
        $o .= tag('br')."\n";
	}
}


/**
 * Load the filebrowser if a fieltype
 * is requested
 */

if($adm) {
	if(isset($cf['filebrowser']['external']) && $cf['filebrowser']['external'] != 'hi_kcfinder') return; //_XH 1.5 activation
	$hi_kcfType = '';
	initvar('userfiles');
	initvar('media'); //new in _XH 1.5
	if ($images || $function == 'images') $hi_kcfType = 'images';
	if ($downloads || $function == 'downloads') $hi_kcfType = 'downloads';
	if ($media) $hi_kcfType = 'downloads'; // new in _XH 1.5, mapped by KCFinder to /downloads
	if ($userfiles) $hi_kcfType = 'userfiles';
	
	if ($hi_kcfType != ''){
		//load KCfinder settings and enable browser
		include_once($pth['folder']['plugins'].$plugin.'/kcfinder_init.php');
		
		if ($plugin_cf['hi_kcfinder']['show_folder_combobox'] == 1) {
			$o .= '<table class="kcf_admhead" cellpadding="0" cellspacing="0">'."\n";
			$o .= '<tr><td class="kcf_admhead_in">'."\n";
			$o .= '<b>'.$plugin_tx['hi_kcfinder']['select_label'].'</b>'."\n";
			$o .= '<form style="display: inline; margin-bottom: 0px;">'."\n";
			$o .= '<select name="kcfTypes" onchange="location.href=this.options[this.selectedIndex].value">'."\n";
			$hi_kcfType == 'images' ? $t = ' selected="selected"' : $t = '';
			$o .= '<option value="?&images"'.$t.'>'.$plugin_tx['hi_kcfinder']['select_images'].'</option>'."\n";
			$hi_kcfType == 'downloads' ? $t = ' selected="selected"' : $t = '';
			$o .= '<option value="?&downloads"'.$t.'>'.$plugin_tx['hi_kcfinder']['select_downloads'].'</option>'."\n";
			//$hi_kcfType == 'media' ? $t = ' selected="selected"' : $t = '';
			//$o .= '<option value="?&media"'.$t.'>'.$plugin_tx['hi_kcfinder']['select_media'].'</option>'."\n";
			$hi_kcfType == 'userfiles' ? $t = ' selected="selected"' : $t =  '';
			$o .= '<option value="?&userfiles"'.$t.'>'.$plugin_tx['hi_kcfinder']['select_userfiles'].'</option>'."\n";
			$o .= '</select>'."\n";
			$o .= '</form>'."\n";
			$o .= '</td></tr>'."\n";
			$o .= '</table>'."\n";
		}
		
		$o .= '<iframe name="kcfinder_iframe" src="'.$pth['folder']['plugins'].$plugin.'/kcfinder/browse.php?type='.$hi_kcfType.'&lang='.$hi_kcfLang.'&dir='.$hi_kcfType.'" ';
		$o .= 'frameborder="0" width="'.$plugin_cf['hi_kcfinder']['frame_width'].'" height="'.$plugin_cf['hi_kcfinder']['frame_height'].'" marginwidth="0" marginheight="0" scrolling="no"></iframe>';
		//let the requests to the core-functions die...
		//$adm='';
		$images = $downloads = $userfiles = false;
		$f = 'KCFinder';
	}
}
?>